---
features:
  - title: Simple service definition
    description: Define your service using Protocol Buffers, a powerful binary serialization toolset and language
    icon: feature-1.svg
  - title: Start quickly and scale
    description: Install runtime and dev environments with a single line and also scale to millions of RPCs per second with the framework
    icon: feature-2.svg
  - title: Works across languages and platforms
    description: Automatically generate idiomatic client and server stubs for your service in a variety of languages and platforms
    icon: feature-3.svg
  - title: Bi-directional streaming and integrated auth
    description: Bi-directional streaming and fully integrated pluggable authentication with HTTP/2-based transport
    icon: feature-4.svg
---

{{< blocks/cover image_anchor="top" height="max" color="primary" >}}
<img src="/img/logos/grpc-logo.png" class="grpc-logo" />
<h2>A high performance, open source universal RPC framework</h2>
<a
	class="btn btn-lg btn-primary font-weight-bold my-4"
	href="/docs/what-is-grpc/introduction"
>
Learn more
</a>

<div class="h3 mt-2">Get started!</div>

<div class="l-get-started-buttons">

- [Go]({{< relref "/docs/languages/go/quickstart" >}})
- [C++]({{< relref "/docs/languages/cpp/quickstart" >}})
- [Java]({{< relref "/docs/languages/java/quickstart" >}})
- [Python]({{< relref "/docs/languages/python/quickstart" >}})
- [C#]({{< relref "/docs/languages/csharp/quickstart" >}})
- [<i class="fas fa-ellipsis-h"></i>]({{< relref "languages" >}})
</div>
{{< /blocks/cover >}}

<div class="container">

<section class="home--top-section why-grpc">
<h2>Why gRPC?</h2>

gRPC is a modern open source high performance Remote Procedure Call (RPC)
framework that can run in any environment. It can efficiently connect services
in and across data centers with pluggable support for load balancing, tracing,
health checking and authentication. It is also applicable in last mile of
distributed computing to connect devices, mobile applications and browsers to
backend services.
</section>

{{< home/features >}}
{{< home/used-by >}}
{{< home/cncf >}}

</div>
