---
title: Kotlin, meet gRPC
date: 2020-04-16
spelling: cSpell:ignore Wasserman
authors:
- name: Louis Wasserman
  link: https://github.com/lowasser
  position: Software Engineer at Google
- name: Brent Shaffer
  link: https://github.com/bshaffer
  position: Developer Programs Engineer at Google
---

As developers work to modernize applications, they need foundational tools that
are simple and scalable. gRPC is a high-performance, open-source, universal RPC
framework originally developed at Google that developers are adopting in
tremendous numbers, helping them connect services more easily and reliably.
Paired with [Kotlin][], the second most popular JVM-based programming language
in the world, developers can build everything from mobile apps to cloud
microservices. To help, we've open-sourced [gRPC Kotlin][] for the JVM, allowing
you to use gRPC with your Kotlin projects.

For the full announcement, including how to deploy gRPC Kotlin services on
[Cloud Run][], see the Google Cloud blog, [Kotlin, meet gRPC: a new open-source
project for modern apps][blog].

For more information, see the following [Kotlin pages][]:

- [Quick start](/docs/languages/kotlin/quickstart/)
- [Basics tutorial](/docs/languages/kotlin/basics/)
- [API reference](/docs/languages/kotlin/api)

[blog]: https://cloud.google.com/blog/products/application-development/use-grpc-with-kotlin
[Cloud Run]: https://cloud.run
[gRPC Kotlin]: https://github.com/grpc/grpc-kotlin
[Kotlin]: https://kotlinlang.org
[Kotlin pages]: /docs/languages/kotlin/
