---
title: Kotlin
prog_lang_home: true
api_path: https://javadocs.dev/io.grpc/grpc-kotlin-stub/latest
content:
  - learn_more:
    - "[Examples]($src_repo_url/tree/master/examples)"
  - reference:
    - "[API](api/)"
  - other:
    - "[Kotlin for Android](/docs/platforms/android/kotlin)"
    - $src_repo_link
    - "[Download](https://search.maven.org/search?q=g:io.grpc%20AND%20grpc-kotlin)"
spelling: cSpell:ignore Ferrer youtube
---

{{% docs/prog-lang-home-content %}}

### Join the conversation

The JetBrains [Kotlin Slack][] has a *gRPC channel* where you can ask technical
questions specific to gRPC Kotlin and chat with other developers. If you would
like an invitation to join the Kotlin Slack, complete and submit the [Kotlin
Slack Sign-up][] form.

For more community resources, see the gRPC [Community][] and the [Kotlin
community][] pages.

### Developer stories and talks {#dev-stories}

- **[Expedia Group Case Study: Bootiful APIs With GraphQL and Kotlin][Expedia]**,
  by [Anton Arhipov](https://blog.jetbrains.com/author/antonarhipov),
  [JetBrains](https://www.jetbrains.com/),
  <span title="2020-12-13">December 2020</span>.
- **[DoorDash Case Study: Building Scalable Backend Services with Kotlin][DoorDash]**,
  by [Alina Dolgikh](https://blog.jetbrains.com/author/alinadolgikh),
  [JetBrains](https://www.jetbrains.com/),
  <span title="2020-12-06">December 2020</span>.
- **Next Level gRPC With Kotlin and Coroutines**
  <a class="o-icon" href="https://youtu.be/SfmdAA2kwWI"><i class="fab fa-youtube"></i></a>
  <a class="o-icon" href="https://static.sched.com/hosted_files/grpcconf20/e6/grpc-session.pdf"><i class="fas fa-file"></i></a><br>
  A [gRPC Conf 2020 presentation](https://sched.co/cRfc)
  by Marco Ferrer, OfferUp.

[Community]: {{<relref "Community">}}
[DoorDash]: https://blog.jetbrains.com/kotlin/2020/12/doordash-building-scalable-backend-services-with-kotlin/
[Expedia]: https://blog.jetbrains.com/kotlin/2020/12/expedia-group-bootiful-apis-with-graphql-and-kotlin/
[Kotlin community]: https://kotlinlang.org/community/
[Kotlin Slack Sign-up]: https://surveys.jetbrains.com/s3/kotlin-slack-sign-up
[Kotlin Slack]: https://kotlinlang.slack.com
